package com.adealink.weparty.room.micseat.dispatcenter

import com.adealink.frame.aab.util.getCompatString
import com.adealink.weparty.R as APP_R

const val MIC_HOST = 0
const val MIC_GUEST = 1
const val MIC_1 = 2
const val MIC_2 = 3
const val MIC_3 = 4
const val MIC_4 = 5
const val MIC_5 = 6
const val MIC_6 = 7
const val MIC_7 = 8
const val MIC_8 = 9

fun getMicIndexName(index: Int): String {
    return when (index) {
        MIC_HOST -> getCompatString(APP_R.string.room_mic_host)
        MIC_GUEST -> getCompatString(APP_R.string.room_mic_guest)
        MIC_1 -> getCompatString(APP_R.string.room_mic_1)
        MIC_2 -> getCompatString(APP_R.string.room_mic_2)
        MIC_3 -> getCompatString(APP_R.string.room_mic_3)
        MIC_4 -> getCompatString(APP_R.string.room_mic_4)
        MIC_5 -> getCompatString(APP_R.string.room_mic_5)
        MIC_6 -> getCompatString(APP_R.string.room_mic_6)
        MIC_7 -> getCompatString(APP_R.string.room_mic_7)
        MIC_8 -> getCompatString(APP_R.string.room_mic_8)
        else -> ""
    }
}